Subject: RE: B18,B19 (NT 4.0): gnu tools are slow
From: [email-masked] (Sergey Okhapkin)

7 May 1998 14:32:31 -0700
Message-ID: <01BD79C2.B2F8AD60.cygnus.gnu-win32@drs>
To: "[email-masked]" <[email-masked]>,
        "'Jonathan Payne'"
	 <[email-masked]>

Jonathan Payne wrote:
> I have always noticed that the GNU tools are very slow when it comes to
> accessing the file system.  Recently I ran:
> 
> 	ls d:/
> 
> and it took so long, and the disk was making so much noise, that I decided to
> run a program called NT File Mon which some of you may have heard of.  The thing
> I noticed was that LS was apparently reading all the directories 1-level deep. 
> And I happened to have a directory with 1000+ files in it at the top level, so
> that's why it took even longer than normal.

Cygwin scans every subdirectory to correctly fill-in st_nlinks field of stat structure.

-- 
Sergey Okhapkin, http://www.lexa.ru/sos
Moscow, Russia.

-
For help on using this list (especially unsubscribing), send a message to
"[email-masked]" with one line of text: "help".